Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mehrere Probleme in Mozilla Firefox
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in Mozilla Firefox
ID: SUSE-SU-2016:0820-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Server 10 SP4 LTSS
Datum: Fr, 18. März 2016, 23:46
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2798
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-1964
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-1966
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-1974
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2801
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2793
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2790
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-1962
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2802
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-1950
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-1979
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-1958
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2796
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-1952
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2797
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-1978
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2799
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2795
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-1957
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2791
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-1961
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2800
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2792
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-1965
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-1977
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-1953
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2794
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-1960
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-1954

Originalnachricht

   SUSE Security Update: Security update for MozillaFirefox
______________________________________________________________________________

Announcement ID: SUSE-SU-2016:0820-1
Rating: important
References: #969894
Affected Products:
SUSE Linux Enterprise Server 10 SP4 LTSS
______________________________________________________________________________

An update that contains security fixes can now be
installed. It includes two new package versions.

Description:


Mozilla Firefox was updated to 38.7.0 ESR, fixing the following security
issues:

* MFSA 2016-16/CVE-2016-1952/CVE-2016-1953: Miscellaneous memory
safety hazards (rv:45.0 / rv:38.7)
* MFSA 2016-17/CVE-2016-1954: Local file overwriting and potential
privilege escalation through CSP reports
* MFSA 2016-20/CVE-2016-1957: Memory leak in libstagefright when
deleting an array during MP4 processing
* MFSA 2016-21/CVE-2016-1958: Displayed page address can be overridden
* MFSA 2016-23/CVE-2016-1960: Use-after-free in HTML5 string parser
* MFSA 2016-24/CVE-2016-1961: Use-after-free in SetBody
* MFSA 2016-25/CVE-2016-1962: Use-after-free when using multiple
WebRTC data channels
* MFSA 2016-27/CVE-2016-1964: Use-after-free during XML transformations
* MFSA 2016-28/CVE-2016-1965: Addressbar spoofing though history
navigation and Location protocol property
* MFSA 2016-31/CVE-2016-1966: Memory corruption with malicious NPAPI
plugin
* MFSA 2016-34/CVE-2016-1974: Out-of-bounds read in HTML parser
following a failed allocation
* MFSA 2016-35/CVE-2016-1950: Buffer overflow during ASN.1 decoding in
NSS
* MFSA 2016-37/CVE-2016-1977/CVE-2016-2790/CVE-2016-2791/
CVE-2016-2792/CVE-2016-2793/CVE-2016-2794/CVE-2016-2795/
CVE-2016-2796/CVE-2016-2797/CVE-2016-2798/CVE-2016-2799/
CVE-2016-2800/CVE-2016-2801/CVE-2016-2802: Font vulnerabilities in
the Graphite 2 library.

Mozilla NSPR was updated to version 4.12, fixing following bugs:

* Added a PR_GetEnvSecure function, which attempts to detect if the
program is being executed with elevated privileges, and returns NULL
if detected. It is recommended to use this function in general
purpose library code.
* Fixed a memory allocation bug related to the PR_*printf functions
* Exported API PR_DuplicateEnvironment, which had already been added
in NSPR 4.10.9
* Several minor correctness and compatibility fixes.

Mozilla NSS was updated to fix security issues:

* MFSA 2016-15/CVE-2016-1978: Use-after-free in NSS during SSL
connections in low memory
* MFSA 2016-35/CVE-2016-1950: Buffer overflow during ASN.1 decoding in
NSS
* MFSA 2016-36/CVE-2016-1979: Use-after-free during processing of DER
encoded keys in NSS.



Package List:

- SUSE Linux Enterprise Server 10 SP4 LTSS (i586 s390x x86_64) [New Version:
3.20.2 and 4.12]:

mozilla-nspr-4.12-0.5.1
mozilla-nspr-devel-4.12-0.5.1
mozilla-nss-3.20.2-0.7.2
mozilla-nss-devel-3.20.2-0.7.2
mozilla-nss-tools-3.20.2-0.7.2

- SUSE Linux Enterprise Server 10 SP4 LTSS (s390x x86_64) [New Version:
3.20.2 and 4.12]:

mozilla-nspr-32bit-4.12-0.5.1
mozilla-nss-32bit-3.20.2-0.7.2

- SUSE Linux Enterprise Server 10 SP4 LTSS (i586 s390x):

MozillaFirefox-38.7.0esr-0.5.1
MozillaFirefox-translations-38.7.0esr-0.5.1


References:

https://bugzilla.suse.com/969894
https://download.suse.com/patch/finder/?keywords=482a54f33ffb2bd9e847625a26c86780

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung